gr::dab::firecode_check_bb_impl Class Reference

checks firecode of logical frames More...

`#include <firecode_check_bb_impl.h>`

Inheritance diagram for gr::dab::firecode_check_bb_impl:
[legend]

## Public Member Functions

| firecode_check_bb_impl (int bit_rate_n)
| ~firecode_check_bb_impl ()
virtual bool | get_firecode_passed ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::firecode_check_bb
typedef std::shared_ptr< firecode_check_bb > | sptr
Static Public Member Functions inherited from gr::dab::firecode_check_bb
static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::firecode_check_bb.

## Detailed Description

checks firecode of logical frames

checks firecode of each logical frame as a qa test for the msc_decoder. According to ETSI TS 102 563 every fifth logical frame starts with 16 bit firecode

## Constructor & Destructor Documentation

## firecode_check_bb_impl()

gr::dab::firecode_check_bb_impl::firecode_check_bb_impl | ( | int | bit_rate_n | ) |

## ~firecode_check_bb_impl()

gr::dab::firecode_check_bb_impl::~firecode_check_bb_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::firecode_check_bb_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::firecode_check_bb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## get_firecode_passed()

virtual bool gr::dab::firecode_check_bb_impl::get_firecode_passed | ( |  | ) |

inline virtual

Implements gr::dab::firecode_check_bb.

The documentation for this class was generated from the following file:

- firecode_check_bb_impl.h